| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ParameterIP4Address_t Class Reference
eProsima Fast DDS API Reference » RTPS » Common Module. » Qos Module

`#include <ParameterTypes.hpp>`

Inheritance diagram for ParameterIP4Address_t:
[legend]

## Public Member Functions

| ParameterIP4Address_t ()
| Constructor without parameters.
| ParameterIP4Address_t (ParameterId_t pid, uint16_t in_length)
| Constructor using a parameter PID and the parameter length.
void | setIP4Address (fastdds::rtps::octet o1, fastdds::rtps::octet o2, fastdds::rtps::octet o3, fastdds::rtps::octet o4)
| Setter for the address.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const

## Public Attributes

fastdds::rtps::octet | address [4]
| Address By default [0,0,0,0].
Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.

## Constructor & Destructor Documentation

## ◆ ParameterIP4Address_t() [1/2]

ParameterIP4Address_t | ( |  | ) |

inline

Constructor without parameters.

## ◆ ParameterIP4Address_t() [2/2]

ParameterIP4Address_t | ( | ParameterId_t | pid,
|  | uint16_t | in_length )

inline

Constructor using a parameter PID and the parameter length.

Parameters

  pid | Pid of the parameter
  in_length | Its associated length

## Member Function Documentation

## ◆ setIP4Address()

void setIP4Address | ( | fastdds::rtps::octet | o1,
|  | fastdds::rtps::octet | o2,
|  | fastdds::rtps::octet | o3,
|  | fastdds::rtps::octet | o4 )

inline

Setter for the address.

Parameters

  o1 | First octet
  o2 | Second octet
  o3 | Third octet
  o4 | Fourth octet

## Member Data Documentation

## ◆ address

fastdds::rtps::octet address[4]

Address
By default [0,0,0,0].

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/ParameterTypes.hpp